Package org.codehaus.janino.util

# Interface ClassFile.ElementValue.Visitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object that the "`visit*()`" methods return
  `EX` - The type of the exception that the "`visit*()`" methods may throw

All Superinterfaces:
  `ClassFile.ConstantElementValue.Visitor<R,EX>`

Enclosing interface:
  `ClassFile.ElementValue`

public static interface ClassFile.ElementValue.Visitor<R,EX extends Throwable> extends ClassFile.ConstantElementValue.Visitor<R,EX>
The visitor interface for the implementation of the "visitor" pattern.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAnnotation(ClassFile.Annotation subject)`
`R`
`visitArrayElementValue(ClassFile.ArrayElementValue subject)`
`R`
`visitEnumConstValue(ClassFile.EnumConstValue subject)`

### Methods inherited from interface org.codehaus.janino.util.ClassFile.ConstantElementValue.Visitor

`visitBooleanElementValue, visitByteElementValue, visitCharElementValue, visitClassElementValue, visitDoubleElementValue, visitFloatElementValue, visitIntElementValue, visitLongElementValue, visitShortElementValue, visitStringElementValue`

## Method Details

### visitAnnotation

R visitAnnotation(ClassFile.Annotation subject) throws EX

Throws:
  `EX`

### visitArrayElementValue

R visitArrayElementValue(ClassFile.ArrayElementValue subject) throws EX

Throws:
  `EX`

### visitEnumConstValue

R visitEnumConstValue(ClassFile.EnumConstValue subject) throws EX

Throws:
  `EX`